local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="dootl",

		Texture="../_Graphics/doot",

		InitCommand=function(self)

			self:SetStateProperties({

				{Frame=0,Delay=bt*0.8},

				{Frame=1,Delay=bt*0.2},

				{Frame=0,Delay=bt*0.5}
				

			})

		end, --InitCommand()
		

		OnCommand=function(self)

			self:zoom(2):xy(-200,SCREEN_CENTER_Y)--:rotationy(180)

				:sleep(bt*0.2)

				:accelerate(bt*0.2):x(200)

				:sleep(bt)

				:decelerate(bt*0.4):x(-200)

		end --OnCommand()

		
	}, --Def.Sprite doot left

	
	
Def.Sprite{

		Name="dootr",

		Texture="../_Graphics/doot",

		InitCommand=function(self)

			self:SetStateProperties({

				{Frame=0,Delay=bt*1.3},

				{Frame=1,Delay=bt*0.2},

				--{Frame=0,Delay=573}
	
		})

		end, --InitCommand()

		

		OnCommand=function(self)

			self:sleep(bt*0.5):zoom(2):xy(SCREEN_WIDTH+200,SCREEN_CENTER_Y):rotationy(180)

			:accelerate(bt*0.2):x(SCREEN_WIDTH-200)

			:sleep(bt)

			:decelerate(bt*0.4):x(SCREEN_WIDTH+200)

		end --OnCommand()

		

	} --Def.Sprite doot right

}